Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 718540 - www-apps/nikola: need py3.7, 3.8 port
Summary: www-apps/nikola: need py3.7, 3.8 port
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Deadline: 2020-09-21
Assignee: Thomas Deutschmann
URL:
Whiteboard:
Keywords: PMASKED
Depends on: 691294 717946 718636 718850 719082
Blocks: python3.7-compat
  Show dependency tree
 
Reported: 2020-04-19 20:18 UTC by Michał Górny
Modified: 2020-08-22 18:11 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-04-19 20:18:45 UTC
The packages are stuck on py3.6 which means they will be pain once we switch to 3.7.  Please test them on 3.7 *and* 3.8 (so we don't to revisit this in a few months), and update PYTHON_COMPAT appropriately.  If it doesn't work, please either fix it, remove Python or issue last rites.  Please consider this urgent.
Comment 1 Thomas Deutschmann gentoo-dev 2020-05-10 13:04:59 UTC
Waiting for ipython bump (bug 691294), doit (bug 718636) and cherrypy rekeywording (bug 717946).
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-08-16 10:14:19 UTC
ping.
Comment 3 Larry the Git Cow gentoo-dev 2020-08-22 18:11:59 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f74bb15c811636dae6d0c77a39ba21a0caa0932

commit 8f74bb15c811636dae6d0c77a39ba21a0caa0932
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2020-08-22 18:10:58 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2020-08-22 18:11:43 +0000

    profiles/package.mask: Unmask www-apps/nikola
    
    Package is now Py3.7+ compatible.
    
    Closes: https://bugs.gentoo.org/718540
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 profiles/package.mask | 1 -
 1 file changed, 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d9c3adc634049f6fed51ddb34def156e58766067

commit d9c3adc634049f6fed51ddb34def156e58766067
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2020-08-22 14:08:14 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2020-08-22 18:11:41 +0000

    www-apps/nikola: add Py3.7 & Py3.8 support
    
    Closes: https://bugs.gentoo.org/718540
    Package-Manager: Portage-3.0.3, Repoman-3.0.0
    RepoMan-Options: --force
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 www-apps/nikola/nikola-8.0.4.ebuild | 2 +-
 www-apps/nikola/nikola-8.1.0.ebuild | 2 +-
 www-apps/nikola/nikola-8.1.1.ebuild | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)